SimDaily SIM usage statistics

Daily SIM usage statistics

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `Sim.Stats` + `Get` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div> </Info> <Warning> Data traffic cost statistics (`cost` field in the `data` object) have been deprecated. </Warning> Retrieves SIM usage statistics accumulated per day. By default, the response includes statistics for the current month. `start_date` and an `end_date` can be provided as query parameters to retrieve statistics for a specific time frame. <Note> Historical data is available for up to **13 months**. </Note> Example request: `/api/v1/sim/123/stats/daily?end_date=2019-03-21&start_date=2019-03-01`

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

sim_idintegerRequired
Numeric ID of a SIM

Query parameters

start_datestringOptionalformat: "date"
Filters by start date, provided in a `YYYY-MM-DD` format. <Info> If you don't define an end date, the response will include 6 months of data, beginning on the current date. </Info>
end_datestringOptionalformat: "date"
Filters by end date, provided in an `YYYY-MM-DD` format. <Info> If you don't define a start date, the response will only return data from the month indicated in your end date. </Info>

Response

Successfully returned the daily SIM statistics for the provided dates and ID.

Errors

403
Forbidden Error